

DELETE FROM obj_actions WHERE service_code='act_stock';

DELETE FROM system_events WHERE event_code='act_stock';

DELETE FROM system_service_args WHERE service_code='astock_consume_issue';

INSERT INTO OBJ_ACTIONS (OBJ_NAME,LINE_NO,DESCRIPTION,SERVICE_CODE,INTERACTIVE,RIGHTS_CHAR,TITLE,FORM_NO,SERVICE_HANDLER,ACTION_TYPE,CHG_DATE,CHG_TERM,CHG_USER)
VALUES ('consume_order',8,'Action button for consumption order stock','cons_stock','a','R','Stock','2','4','U','04-01-13','BASE','BASE');


INSERT INTO system_events(OBJ_NAME,EVENT_CODE,EVENT_CONTEXT,SERVICE_CODE,OVERWRITE_CORE,CHG_DATE,CHG_USER,CHG_TERM,RESULT_HANDLE,COMP_TYPE,COMP_NAME)
VALUES ('consume_order','cons_stock','1','act_cons_stock','0','04-01-14','BASE','BASE','2','EJB','ConsumeIssueStock')
 
INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','1','COMPONENT_TYPE','I','Component Type','C.String','04-01-13','BASE','BASE','EJB')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','2','COMPONENT_NAME','I','Component Name','C.String','04-01-13','BASE','BASE','ConsumeIssueStock')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','3','ACTION_TYPE','I','Action Type','C.String','04-01-13','BASE','BASE','Stock')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','4','XML_DATA','I','XML data for Current form','S','04-01-13','BASE','BASE')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','5','XML_DATA_1','I','XML data of form no 1','S','04-01-13','BASE','BASE')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','6','OBJ_CONTEXT','I','Object context','S','04-01-13','BASE','BASE')

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','7','XTRA_PARAMS','I','Extra Arguments','S','04-01-13','BASE','BASE')






